=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2008-08-04 07:55:41 +0000
+++ bzrlib/tests/__init__.py	2008-08-09 07:37:44 +0000
@@ -1591,7 +1591,10 @@
             # so we will avoid using it on all platforms, just to
             # make sure the code path is used, and we don't break on win32
             cleanup_environment()
-            command = [sys.executable, bzr_path]
+            command = [sys.executable]
+            # frozen executables don't need the path to bzr
+            if not hasattr(sys, "frozen"):
+                command.append(bzr_path)
             if not allow_plugins:
                 command.append('--no-plugins')
             command.extend(process_args)

